MQInstallation (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQInstallation interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQInstallation

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, SoftwareInstallation, Version

    public interface MQInstallation

extends SoftwareInstallation

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getBuildType()` Build type is one of the output attributes from dspmqver (display MQ version) command.
`java.lang.String` | `getClientExitsDefaultPath()` ExitsDefaultPath=defaultprefix The default prefix for the platform, for the location of 32-bit channel exits.
`java.lang.String` | `getClientExitsDefaultPath64()` ExitsDefaultPath64=defaultprefix The default prefix for the platform, for the location of 64-bit channel exits.
`int` | `getConvEBCDICNewline()` EBCDIC code pages contain a new line (NL) character that is not supported by ASCII code pages, although some ISO variants of ASCII contain an equivalent.
`java.lang.String` | `getDataPath()` DefaultPrefix=directory_name This attribute specifies the path to the qmgrs directory, within which the queue manager data is kept.
`MQApiExit[]` | `getExit()`
`java.lang.String` | `getLogDefaultPath()` LogDefaultPath=directory_name The directory in which the log files for a queue manager reside.
`java.lang.String` | `getLogTypeEnumeration()` LogType=CIRCULAR|LINEAR The type of log to be used.
`int` | `getLogWriteIntegrity()` LogWriteIntegrity=SingleWrite|DoubleWrite|TripleWrite The method the logger uses to reliably write log records.
`MQQueueManager[]` | `getQueueManagers()`
`boolean` | `hasBuildType()`
`boolean` | `hasClientExitsDefaultPath()`
`boolean` | `hasClientExitsDefaultPath64()`
`boolean` | `hasConvEBCDICNewline()`
`boolean` | `hasDataPath()`
`boolean` | `hasExit()`
`boolean` | `hasLogDefaultPath()`
`boolean` | `hasLogTypeEnumeration()`
`boolean` | `hasLogWriteIntegrity()`
`boolean` | `hasQueueManagers()`
`void` | `setBuildType(java.lang.String x)`
`void` | `setClientExitsDefaultPath(java.lang.String x)`
`void` | `setClientExitsDefaultPath64(java.lang.String x)`
`void` | `setConvEBCDICNewline(int x)`
`void` | `setDataPath(java.lang.String x)`
`void` | `setExit(MQApiExit[] x)`
`void` | `setLogDefaultPath(java.lang.String x)`
`void` | `setLogTypeEnumeration(java.lang.String x)`
`void` | `setLogWriteIntegrity(int x)`
`void` | `setQueueManagers(MQQueueManager[] x)`

Methods inherited from interface com.collation.platform.model.topology.app.SoftwareInstallation
`getInstalledLocation, getManufacturerName, getParent, getProductId, getProductName, getService, hasInstalledLocation, hasManufacturerName, hasParent, hasProductId, hasProductName, hasService, setInstalledLocation, setManufacturerName, setParent, setProductId, setProductName, setService`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.core.Version
`getBuildLevel, getLevel, getMajorVersion, getModifier, getRelease, getVersionString, hasBuildLevel, hasLevel, hasMajorVersion, hasModifier, hasRelease, hasVersionString, setBuildLevel, setLevel, setMajorVersion, setModifier, setRelease, setVersionString`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getLogWriteIntegrity

    int getLogWriteIntegrity()
                             throws AttributeNotSetException

  LogWriteIntegrity=SingleWrite|DoubleWrite|TripleWrite The method the logger uses to reliably write log records.

  Throws:
    `AttributeNotSetException`

### setLogWriteIntegrity

    void setLogWriteIntegrity(int x)

### hasLogWriteIntegrity

    boolean hasLogWriteIntegrity()

### getLogTypeEnumeration

    java.lang.String getLogTypeEnumeration()
                                           throws AttributeNotSetException

  LogType=CIRCULAR|LINEAR The type of log to be used. The default is CIRCULAR. CIRCULAR - Start restart recovery using the log to roll back transactions that were in progress when the system stopped. See Circular logging for a fuller explanation of circular logging. LINEAR - For both restart recovery and media or forward recovery (creating lost or damaged data by replaying the contents of the log). See Linear logging for a fuller explanation of linear logging.

  Throws:
    `AttributeNotSetException`

### setLogTypeEnumeration

    void setLogTypeEnumeration(java.lang.String x)

### hasLogTypeEnumeration

    boolean hasLogTypeEnumeration()

### getQueueManagers

    MQQueueManager[] getQueueManagers()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setQueueManagers

    void setQueueManagers(MQQueueManager[] x)

### hasQueueManagers

    boolean hasQueueManagers()

### getExit

    MQApiExit[] getExit()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Contains" reverse="false"

### setExit

    void setExit(MQApiExit[] x)

### hasExit

    boolean hasExit()

### getBuildType

    java.lang.String getBuildType()
                                  throws AttributeNotSetException

  Build type is one of the output attributes from dspmqver (display MQ version) command. Sample dspmqver output: Name: WebSphere MQ Version: 6.0.1.1 CMVC level: p600-101-060504 BuildType: IKAP - (Production)

  Throws:
    `AttributeNotSetException`

### setBuildType

    void setBuildType(java.lang.String x)

### hasBuildType

    boolean hasBuildType()

### getDataPath

    java.lang.String getDataPath()
                                 throws AttributeNotSetException

  DefaultPrefix=directory_name This attribute specifies the path to the qmgrs directory, within which the queue manager data is kept. If you change the default prefix for the queue manager, replicate the directory structure that was created at installation time

  Throws:
    `AttributeNotSetException`

### setDataPath

    void setDataPath(java.lang.String x)

### hasDataPath

    boolean hasDataPath()

### getClientExitsDefaultPath

    java.lang.String getClientExitsDefaultPath()
                                               throws AttributeNotSetException

  ExitsDefaultPath=defaultprefix The default prefix for the platform, for the location of 32-bit channel exits.

  Throws:
    `AttributeNotSetException`

### setClientExitsDefaultPath

    void setClientExitsDefaultPath(java.lang.String x)

### hasClientExitsDefaultPath

    boolean hasClientExitsDefaultPath()

### getClientExitsDefaultPath64

    java.lang.String getClientExitsDefaultPath64()
                                                 throws AttributeNotSetException

  ExitsDefaultPath64=defaultprefix The default prefix for the platform, for the location of 64-bit channel exits.

  Throws:
    `AttributeNotSetException`

### setClientExitsDefaultPath64

    void setClientExitsDefaultPath64(java.lang.String x)

### hasClientExitsDefaultPath64

    boolean hasClientExitsDefaultPath64()

### getConvEBCDICNewline

    int getConvEBCDICNewline()
                             throws AttributeNotSetException

  EBCDIC code pages contain a new line (NL) character that is not supported by ASCII code pages, although some ISO variants of ASCII contain an equivalent. Use the ConvEBCDICNewline attribute to specify the method WebSphere MQ is to use when converting the EBCDIC NL character into ASCII format.

  Throws:
    `AttributeNotSetException`

### setConvEBCDICNewline

    void setConvEBCDICNewline(int x)

### hasConvEBCDICNewline

    boolean hasConvEBCDICNewline()

### getLogDefaultPath

    java.lang.String getLogDefaultPath()
                                       throws AttributeNotSetException

  LogDefaultPath=directory_name The directory in which the log files for a queue manager reside. The directory resides on a local device to which the queue manager can write and, preferably, on a different drive from the message queues. Specifying a different drive gives added protection in case of system failure. The default is: \log for WebSphere MQ for Windows where is the value specified on the DefaultPrefix attribute on the All Queue Managers WebSphere MQ properties page. This value is set at install time. /var/mqm/log for WebSphere MQ for UNIX systems

  Throws:
    `AttributeNotSetException`

### setLogDefaultPath

    void setLogDefaultPath(java.lang.String x)

### hasLogDefaultPath

    boolean hasLogDefaultPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD